TTYNAME(3)

NAME
ttyname - file descriptor to terminal device name

SYNOPSIS
#define _POSIX_SOURCE	1
#include <unistd.h>
char *ttyname(int fd)

DESCRIPTION
Ttyname searches through the /dev directory for the terminal device file that is associated with file descriptor fd. It returns the full path name of the terminal file if found, NULL is returned otherwise.

SEE ALSO
ttyslot(3).

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)